io.milvus.v2.service.collection

## Class CollectionService

- java.lang.Object
- - io.milvus.v2.service.BaseService
  - - io.milvus.v2.service.collection.CollectionService

-     public class CollectionService
      extends BaseService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IndexService` | `indexService`

    - ### Fields inherited from class io.milvus.v2.service.BaseService

      `convertUtils, dataUtils, rpcUtils, vectorUtils`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Void` | `alterCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, AlterCollectionReq request)`
    `java.lang.Void` | `createCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, CreateCollectionReq request)`
    `java.lang.Void` | `createCollectionWithSchema(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, CreateCollectionReq request)`
    `CreateCollectionReq.CollectionSchema` | `createSchema()`
    `DescribeCollectionResp` | `describeCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DescribeCollectionReq request)`
    `java.lang.Void` | `dropCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DropCollectionReq request)`
    `GetCollectionStatsResp` | `getCollectionStats(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, GetCollectionStatsReq request)`
    `java.lang.Boolean` | `getLoadState(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, GetLoadStateReq request)`
    `java.lang.Boolean` | `hasCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, HasCollectionReq request)`
    `ListCollectionsResp` | `listCollections(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub)`
    `java.lang.Void` | `loadCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, LoadCollectionReq request)`
    `java.lang.Void` | `releaseCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, ReleaseCollectionReq request)`
    `java.lang.Void` | `renameCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, RenameCollectionReq request)`
    `void` | `waitForCollectionRelease(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, ReleaseCollectionReq request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### indexService

          public IndexService indexService

  - ### Constructor Detail

    - #### CollectionService

          public CollectionService()

  - ### Method Detail

    - #### createCollection

          public java.lang.Void createCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                 CreateCollectionReq request)

    - #### createCollectionWithSchema

          public java.lang.Void createCollectionWithSchema(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                           CreateCollectionReq request)

    - #### listCollections

          public ListCollectionsResp listCollections(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub)

    - #### dropCollection

          public java.lang.Void dropCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                               DropCollectionReq request)

    - #### alterCollection

          public java.lang.Void alterCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                AlterCollectionReq request)

    - #### hasCollection

          public java.lang.Boolean hasCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                 HasCollectionReq request)

    - #### describeCollection

          public DescribeCollectionResp describeCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                           DescribeCollectionReq request)

    - #### renameCollection

          public java.lang.Void renameCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                 RenameCollectionReq request)

    - #### loadCollection

          public java.lang.Void loadCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                               LoadCollectionReq request)

    - #### releaseCollection

          public java.lang.Void releaseCollection(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                  ReleaseCollectionReq request)

    - #### getLoadState

          public java.lang.Boolean getLoadState(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                GetLoadStateReq request)

    - #### getCollectionStats

          public GetCollectionStatsResp getCollectionStats(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                           GetCollectionStatsReq request)

    - #### createSchema

          public CreateCollectionReq.CollectionSchema createSchema()

    - #### waitForCollectionRelease

          public void waitForCollectionRelease(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                               ReleaseCollectionReq request)